import addonHandler
addonHandler.initTranslation()
from logHandler import log
import winUser
import keyboardHandler
import time
_debugFlag = False
def toggleDebugFlag():
	global _debugFlag
	_debugFlag = False if _debugFlag else True
	return _debugFlag

def printDebug(text, on = False):
	if _debugFlag or on:
		log.info(text)


def putWindowOnForeground(hwnd, sleepNb  = 10, sleepTime  = 0.1):
	winUser.setForegroundWindow(hwnd)
	try:
		winUser.setForegroundWindow(hwnd)
	except:
		pass
	for i in [sleepTime]*(sleepNb-1):
		time.sleep(i)
		if winUser.getForegroundWindow() == hwnd:
			return True
	# last chance
	keyboardHandler.KeyboardInputGesture.fromName("alt+Tab").send()
	keyboardHandler.KeyboardInputGesture.fromName("alt+Tab").send()
	time.sleep(sleepTime)
	if winUser.getForegroundWindow() == hwnd:
		return True
	return False
		
def leftClick (x,y):
	winUser.setCursorPos(x,y)
	winUser.mouse_event(winUser.MOUSEEVENTF_LEFTDOWN,0,0,None,None)
	winUser.mouse_event(winUser.MOUSEEVENTF_LEFTUP,0,0,None,None)
	
	
# winuser.h constant
SC_MAXIMIZE     = 0xF030
WS_MAXIMIZE         = 0x01000000
WM_SYSCOMMAND = 0x112

def maximizeWindow(hWnd):
	winUser.sendMessage (hWnd, WM_SYSCOMMAND, SC_MAXIMIZE,0)
def NVDAString(s):
	return _(s)