# -*- coding: iso-8859-15 -*-
import addonHandler
addonHandler.initTranslation()

#       wdUnits
#Specifies the unit of measure to use.
wdChar = 1 #  a character
wdWord = 2 # A word 
wdSentence = 3 # A sentence 
wdParagraph = 4 # A paragraph 
wdLine = 5 #A line 
wdStory = 6 # A story 
wdScreen = 7 # The screen dimensions 
wdSection = 8 # A section 
wdColumn = 9 # A column 
wdRow  = 10 # A row 
wdWindow = 11 # A window 
wdCell = 12 #  A cell
wdCharacterFormattingCharacter = 13 # formatting 
wdParagraphFormatting = 14 # Paragraph formatting 
wdTable = 15 # A table 
wdItem = 16 # The selected item 

# wdGoToItem
# Specifies the type of item to move the insertion point or selection just prior to. 

wdGoToBookmark = -1 # A bookmark 
wdGoToSection = 0 # A section 
wdGoToPage =1 #  A page 
wdGoToTable = 2 #A table 
wdGoToLine = 3 # A line 
wdGoToFootnote = 4 # A footnote 
wdGoToEndnote = 5 # An endnote 
wdGoToComment = 6 # A comment 
wdGoToField = 7 # A field 
wdGoToGraphic =8 # A graphic 
wdGoToObject = 9 # An object 
wdGoToEquation = 10 # An equation 
wdGoToHeading = 11 # A heading 
wdGoToPercent = 12 # A percent 
wdGoToSpellingError =13 # A spelling error 
wdGoToGrammaticalError= 14 # A grammatical error 
wdGoToProofReadingError  = 15 #ErrorA proof reading error 
# added but not surely
wdGoToRevision = 16 # a revision
wdGoToHyperlink = 17
wdGoToFrame = 18


# wdGoToDirection
# Specifies the position to which a selection or the insertion point is moved in relation to an object or to itself. 

wdGoToAbsolute =1 # An absolute position 
wdGoToRelative = 2 # The position relative to the current position
wdGoToLast = -1 # The last instance of the specified object
wdGoToFirst = 1 # The first instance of the specified object 
wdGoToNext = 2 # The next instance of the specified object
wdGoToPrevious = 3 # The previous instance of the specified object 

# WdInformation Enumeration
# Specifies the type of information returned about a specified selection or range.
wdActiveEndAdjustedPageNumber = 1 #returns the number of the page that contains the active end of the specified selection or range. 
wdActiveEndSectionNumber = 2 # Returns the number of the section that contains the active end of the specified selection or range. 
wdActiveEndPageNumber = 3 #Returns the number of the page that contains the active end of the specified selection or range, 
wdNumberOfPagesInDocument =  4 #Returns the number of pages in the document associated with the selection or range. 
wdHorizontalPositionRelativeToPage = 5 # Returns the horizontal position of the specified selection or range; 
wdVerticalPositionRelativeToPage = 6 #Returns the vertical position of the selection or range; this is the distance from the top edge of the 
wdHorizontalPositionRelativeToTextBoundary = 7 # Returns the horizontal position of the specified selection or range relative to the left 
wdVerticalPositionRelativeToTextBoundary = 8 # Returns the vertical position of the selection or range relative to the top edge of the nearest text boundary enclosing it
wdFirstCharacterColumnNumber = 9 # Returns the character position of the first character in the specified selection or range. 
wdFirstCharacterLineNumber = 10 #Returns the character position of the first character in the specified selection or range. If the selection 
wdFrameIsSelected = 11 #Returns True if the selection or range is an entire frame or text box. 
wdWithInTable = 12 # Returns True if the selection is in a table.  
wdStartOfRangeRowNumber = 13 # Returns the table row number that contains the beginning of the selection or range. 
wdEndOfRangeRowNumber = 14 # Returns the table row number that contains the end of the specified selection or range. 
wdMaximumNumberOfRows = 15 # Returns the greatest number of table rows within the table in the specified selection or range. 
wdStartOfRangeColumnNumber = 16 # Returns the table column number that contains the beginning of the selection or range. 
wdEndOfRangeColumnNumber = 17 # Returns the table column number that contains the end of the specified selection or range. 
wdMaximumNumberOfColumns  = 18 # Returns the greatest number of table columns within any row in the selection or range. 
wdZoomPercentage = 19 # Returns the current percentage of magnification as set by the Percentageproperty. 
wdSelectionMode = 20 # Returns a value that indicates the current selection mode, as shown in the following table. 
wdCapsLock = 21 # Returns True if Caps Lock is in effect. 
wdNumLock = 22 #Returns True if Num Lock is in effect.  
wdOverType = 23 # Returns True if Overtype mode is in effect. The Overtype property can be used to change the state of the Overtype mode. 
wdRevisionMarking = 24 # Returns True if change tracking is in effect. 
wdInFootnoteEndnotePane = 25 # Returns True if the specified selection or range is in the footnote or endnote pane 
wdInCommentPane = 26 # Returns True if the specified selection or range is in a comment pane. 
wdInHeaderFooter = 28 # Returns True if the selection or range is in the header or footer pane or in a header or footer in print layout view. 
wdAtEndOfRowMarker = 31 # Returns True if the specified selection or range is at the end-of-row mark in a table. 
wdReferenceOfType = 32 # Returns a value that indicates where the selection is in relation to a footnote, endnote, or comment reference, 
wdHeaderFooterType = 33 #Returns a value that indicates the type of header or footer that contains the specified selection or range. 
wdInMasterDocument = 34 # Returns True if the selection or range is in a master document 
wdInFootnote = 35 # Returns True if the specified selection or range is in a footnote area 
wdInEndnote = 36 # Returns True if the specified selection or range is in an endnote area 
wdInWordMail = 37 # Returns True if the selection or range is in the header or footer pane or in a header or footer in print layout view. 
wdInClipboard = 38 






wdStoryValueToText = {
	1 : "Main text story", #       wdMainTextStory
	2 : "Footnotes story", #       wdFootnotesStory
	3 : "Endnotes story", #       wdEndnotesStory
	4:       "Comments story", # wdCommentsStory 
	5 : "Text frame story", #       wdTextFrameStory
	6 : "Even pages header story", #       wdEvenPagesHeaderStory
	7 : "Primary header story", #       wdPrimaryHeaderStory
	8 : "Even pages footer story", #       wdEvenPagesFooterStory
	9 : "Primary footer story", #       wdPrimaryFooterStory
	10 : "First page header story", #       wdFirstPageHeaderStory
	11 : "First page footer story", #       wdFirstPageFooterStory
	12 : "Footnote separator story", #       wdFootnoteSeparatorStory
	13 : "Footnote continuation separator  story", #       wdFootnoteContinuationSeparatorStory
	14 : "Footnote continuation notice story", #       wdFootnoteContinuationNoticeStory
	15 : "Endnote separator story", #       wdEndnoteSeparatorStory
	16 : "Endnote continuation separator story", #       wdEndnoteContinuationSeparatorStory
	17: "Endnote continuation notice story", #       wdEndnoteContinuationNoticeStory")
	}

